<?php
/**
 * Moral Theme 
 *
 * @package Moral
 * active callbacks.
 * 
 */

function smooth_blog_pro_if_header_banner( $control ) {
	return 'header-2' == $control->manager->get_setting( 'smooth_blog_pro_header_style' )->value();
}


function smooth_blog_pro_if_header_ads( $control ) {
	return 'ads' == $control->manager->get_setting( 'smooth_blog_pro_header_display' )->value();
}


function smooth_blog_pro_if_header_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_header_background' )->value();
}

function smooth_blog_pro_if_header_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_header_background' )->value();
}



/**
 * Check if the slider is cat
 */
function smooth_blog_pro_if_slider_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_slider' )->value();
}

/**
 * Check if the slider is page
 */
function smooth_blog_pro_if_slider_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_slider' )->value();
}

/**
 * Check if the slider is post
 */
function smooth_blog_pro_if_slider_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_slider' )->value();
}



/**
 * Check if the about is post
 */
function smooth_blog_pro_if_about_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_about' )->value();
}

function smooth_blog_pro_if_about_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_about' )->value();
}


function smooth_blog_pro_if_about_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_about_background' )->value();
}

function smooth_blog_pro_if_about_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_about_background' )->value();
}



/**
 * Check if the service is custom
 */
function smooth_blog_pro_if_service_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_service' )->value();
}

/**
 * Check if the service is page
 */
function smooth_blog_pro_if_service_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_service' )->value();
}

/**
 * Check if the service is page
 */
function smooth_blog_pro_if_service_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_service' )->value();
}

function smooth_blog_pro_if_service_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_service_background' )->value();
}

function smooth_blog_pro_if_service_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_service_background' )->value();
}



/**
 * Check if the featured is custom
 */
function smooth_blog_pro_if_featured_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_featured' )->value();
}

/**
 * Check if the featured is page
 */
function smooth_blog_pro_if_featured_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_featured' )->value();
}

/**
 * Check if the featured is post
 */
function smooth_blog_pro_if_featured_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_featured' )->value();
}


function smooth_blog_pro_if_featured_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_featured_background' )->value();
}

function smooth_blog_pro_if_featured_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_featured_background' )->value();
}

/**
 * Check if the subscribe is enabled
 */
function smooth_blog_pro_if_suscribe_active( $control ) {
	return 'active' == $control->manager->get_setting( 'smooth_blog_pro_suscribe' )->value();
}


/**
 * Check if the masonary is custom
 */
function smooth_blog_pro_if_masonary_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_masonary' )->value();
}


function smooth_blog_pro_if_masonary_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_masonary_background' )->value();
}

function smooth_blog_pro_if_masonary_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_masonary_background' )->value();
}



/**
 * Check if the video is custom
 */
function smooth_blog_pro_if_video_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_video' )->value();
}

/**
 * Check if the video is page
 */
function smooth_blog_pro_if_video_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_video' )->value();
}

/**
 * Check if the video is post
 */
function smooth_blog_pro_if_video_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_video' )->value();
}


function smooth_blog_pro_if_video_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_video_background' )->value();
}

function smooth_blog_pro_if_video_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_video_background' )->value();
}


/**
 * Check if the blog is custom
 */
function smooth_blog_pro_if_blog_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_blog' )->value();
}

/**
 * Check if the blog is page
 */
function smooth_blog_pro_if_blog_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_blog' )->value();
}

/**
 * Check if the blog is post
 */
function smooth_blog_pro_if_blog_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_blog' )->value();
}


function smooth_blog_pro_if_blog_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_blog_background' )->value();
}

function smooth_blog_pro_if_blog_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_blog_background' )->value();
}


/**
 * Check if the blog is custom
 */
function smooth_blog_pro_if_related_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_related' )->value();
}

/**
 * Check if the blog is page
 */
function smooth_blog_pro_if_related_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_related' )->value();
}

/**
 * Check if the blog is post
 */
function smooth_blog_pro_if_related_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_related' )->value();
}



function smooth_blog_pro_if_related_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_related_background' )->value();
}

function smooth_blog_pro_if_related_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_related_background' )->value();
}


/**
 * Check if the blog is custom
 */
function smooth_blog_pro_if_menu_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_menu' )->value();
}

/**
 * Check if the blog is page
 */
function smooth_blog_pro_if_menu_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_menu' )->value();
}

/**
 * Check if the blog is post
 */
function smooth_blog_pro_if_menu_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_menu' )->value();
}


function smooth_blog_pro_if_menu_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_menu_background' )->value();
}

function smooth_blog_pro_if_menu_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_menu_background' )->value();
}

/**
 * Check if the testinomial is page
 */
function smooth_blog_pro_if_testinomial_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_testinomial' )->value();
}

/**
 * Check if the testinomial is post
 */
function smooth_blog_pro_if_testinomial_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_testinomial' )->value();
}




/**
 * Check if the reserve is post
 */

function smooth_blog_pro_if_reserve_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_reserve' )->value();
}

function smooth_blog_pro_if_reserve_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_reserve' )->value();
}


function smooth_blog_pro_if_reserve_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_reserve_background' )->value();
}

function smooth_blog_pro_if_reserve_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_reserve_background' )->value();
}

/**
 * Check if the cta is post
 */


function smooth_blog_pro_if_cta_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_cta' )->value();
}


function smooth_blog_pro_if_cta_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_cta' )->value();
}


/**
 * Check if the instagram is custom
 */
function smooth_blog_pro_if_instagram_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_instagram' )->value();
}

/**
 * Check if the instagram is page
 */
function smooth_blog_pro_if_instagram_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_instagram' )->value();
}

function smooth_blog_pro_if_instagram_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_instagram' )->value();
}


/**
 * Check if the client is custom
 */
function smooth_blog_pro_if_client_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_client' )->value();
}

/**
 * Check if the client is page
 */
function smooth_blog_pro_if_client_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_client' )->value();
}

function smooth_blog_pro_if_client_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_client' )->value();
}

/**
 * Check if the trending is custom
 */
function smooth_blog_pro_if_trending_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_trending' )->value();
}

/**
 * Check if the trending is page
 */
function smooth_blog_pro_if_trending_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_trending' )->value();
}

function smooth_blog_pro_if_trending_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_trending' )->value();
}

/**
 * Check if the popular is custom
 */
function smooth_blog_pro_if_popular_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_popular' )->value();
}

/**
 * Check if the popular is page
 */
function smooth_blog_pro_if_popular_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_popular' )->value();
}

function smooth_blog_pro_if_popular_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_popular' )->value();
}

/**
 * Check if the recent is custom
 */
function smooth_blog_pro_if_recent_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_recent' )->value();
}

/**
 * Check if the recent is page
 */
function smooth_blog_pro_if_recent_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_recent' )->value();
}

function smooth_blog_pro_if_recent_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_recent' )->value();
}

/**
 * Check if the latest is custom
 */
function smooth_blog_pro_if_latest_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_latest' )->value();
}

/**
 * Check if the latest is page
 */
function smooth_blog_pro_if_latest_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_latest' )->value();
}

function smooth_blog_pro_if_latest_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_latest' )->value();
}

/**
 * Check if the most is custom
 */
function smooth_blog_pro_if_most_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_most' )->value();
}

/**
 * Check if the most is page
 */
function smooth_blog_pro_if_most_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_most' )->value();
}

function smooth_blog_pro_if_most_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_most' )->value();
}

/**
 * Check if the testinomials is custom
 */
function smooth_blog_pro_if_testinomials_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'smooth_blog_pro_testinomials' )->value();
}

/**
 * Check if the testinomials is page
 */
function smooth_blog_pro_if_testinomials_page( $control ) {
	return 'page' === $control->manager->get_setting( 'smooth_blog_pro_testinomials' )->value();
}

function smooth_blog_pro_if_testinomials_post( $control ) {
	return 'post' === $control->manager->get_setting( 'smooth_blog_pro_testinomials' )->value();
}

function smooth_blog_pro_if_testinomials_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'smooth_blog_pro_testinomials_background' )->value();
}

function smooth_blog_pro_if_testinomials_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'smooth_blog_pro_testinomials_background' )->value();
}









/**
 * Check if the footer text is enabled
 */
function smooth_blog_pro_if_footer_text_enable( $control ) {
	return $control->manager->get_setting( 'smooth_blog_pro_enable_footer_text' )->value();
}

/**
 * Check if custom color scheme is enabled
 */
function smooth_blog_pro_if_custom_color_scheme( $control ) {
	return 'custom' === $control->manager->get_setting( 'smooth_blog_pro_color_scheme' )->value();
}

